# Uses of Class
org.snpsift.annotate.mem.dataFrame.DataFrame

Packages that use DataFrame
Package
Description
org.snpsift.annotate.mem.database
org.snpsift.annotate.mem.dataFrame

## Uses of DataFrame in org.snpsift.annotate.mem.database

Methods in org.snpsift.annotate.mem.database that return DataFrame
Modifier and Type
Method
Description
`DataFrame`
VariantDataFrame.`getDataFrameByCategory(VariantCategory category)`
`DataFrame`
VariantDataFrame.`getDataFrameByVariantType(org.snpeff.interval.Variant variant)`
Select the appropirate data set for a variant

## Uses of DataFrame in org.snpsift.annotate.mem.dataFrame

Subclasses of DataFrame in org.snpsift.annotate.mem.dataFrame
Modifier and Type
Class
Description
`class`
`DataFrameDel`
DataFrameDel is a specialized subclass of DataFrame designed to handle deletion variants.
`class`
`DataFrameIns`
DataFrameIns is a specialized subclass of DataFrame designed to handle insertion variants.
`class`
`DataFrameMixed`
DataFrameMixed is a specialized subclass of DataFrame that is designed to handle mixed data types.
`class`
`DataFrameMnp`
DataFrameMnp is a specialized subclass of DataFrame designed to handle multi-nucleotide polymorphisms (MNPs).
`class`
`DataFrameOther`
DataFrameOther is a subclass of DataFrame that is specifically tailored for handling variant type counting and categorization.
`class`
`DataFrameSnp`
The DataFrameSnp class extends the DataFrame class and represents a specific type of data frame that deals with single nucleotide polymorphisms (SNPs).
Constructors in org.snpsift.annotate.mem.dataFrame with parameters of type DataFrame
Modifier
Constructor
Description
``
`DataFrameRow(DataFrame dataFrame, int pos, String ref, String alt)`
``
`DataFrameRow(DataFrame dataFrame, int pos, String ref, String alt, int idx)`